#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Thu Jan 28 16:51:15 2021

@author: mlanger
"""

import geopandas as gpd
from osgeo import ogr
from osgeo import osr
from functools import partial
import numpy as np
import matplotlib.pyplot as plt
import scipy.io as sio
import pandas as pd
import seaborn as sns
import matplotlib.patches as mpatches




work_dir ="/home/aoehme/Documents/Python/supplement_fig/"
indus_alaska = gpd.read_file(work_dir + 'IndusSites_alaska.shp')
contam_sites=gpd.read_file(work_dir + 'ContamSites.shp')


indus_alaska=indus_alaska[indus_alaska["PerProb"]>=0.5]
contam_sites=contam_sites[contam_sites["PerProb"]>=0.5]

contam_cat_index = contam_sites["IPCC secto"].unique()
indus_cat_index = indus_alaska["category"].unique()


contam_hist = contam_sites["IPCC secto"].value_counts()
indus_hist = indus_alaska["category"].value_counts()

tags = ["IPPU","Energy","Uncertain","Other","Waste","AFOLU"]
df = pd.DataFrame(tags, columns=['Tags'])
#df["Industry"] = [25,135,30,0,154,0]
#df["Contaminated Sites"] = [349,1,445,58,295,240]
df["Industry"] = [indus_hist[2],indus_hist[3],indus_hist[0],0,0,indus_hist[1]]
df["Contaminated Sites"] = [contam_hist[0],contam_hist[1],contam_hist[2],contam_hist[3],contam_hist[4],contam_hist[5]]

x=np.arange(len(df['Industry']))
y=np.arange(len(df['Industry']))

Industry_count=sum(df["Industry"])
df["Industry Percent"]=(df["Industry"]/Industry_count)*100
Contam_count=sum(df["Contaminated Sites"])
df["Contam Percent"]=(df["Contaminated Sites"]/Contam_count)*100

#==============================================================================
#                           Plots
#==============================================================================


width=0.35
sns.set_style("darkgrid")
fig = plt.figure(figsize=(10,7))
ax = plt.subplot(111)
ax.bar(x+0.5*width,df['Industry'],width,color='#69b3a2',alpha=0.8)
ax.bar(x-0.5*width,df['Contaminated Sites'],width,color='#004e89',alpha=0.8)
rects = ax.patches    
labels4 = ['8.7%','7.3%','44.8%','0%','0%','39.2%','32.1%','25.1%','21.3%','17.3%','4.2%','0.1%']            
for rect, label in zip(rects, labels4):
    height = rect.get_height()
    ax.text(rect.get_x() + rect.get_width() / 2, 5+1*height, label,  
            ha='center', va='bottom', fontsize=9, fontweight='bold', rotation=0)
ax.set_xticks(y)
ax.set_xticklabels(tags, fontsize=10)
#ax.set_xlabel('tag')
ax.set_ylabel('Number of sites on permafrost', fontsize=12, color='black')
#ax.set_title('', fontsize=14)
ax.legend(['Industrial sites', 'Contaminated sites'],fontsize=12)
ax.tick_params(axis='x', labelsize= 12, colors='black')
ax.tick_params(axis='y', labelsize= 12, colors='black')
#fig.savefig(work_dir + 'Alaska_Supplement_Fig6.png')


